%global gittag0 VERSION_%{version}

%define major     0
%define gmajor    1.0
%define libname   %mklibname accounts-glib %major
%define libgir    %mklibname accounts-glib-gir %{gmajor}
%define develname %mklibname accounts-glib -d

Name:           libaccounts-glib
Version:        1.27
Release:        %mkrel 2
Group:          System/Libraries
Summary:        Accounts and SSO (Single Sign-On) framework
License:        LGPLv2
URL:            https://gitlab.com/accounts-sso/libaccounts-glib
Source0:        https://gitlab.com/accounts-sso/libaccounts-glib/-/archive/%{gittag0}/%{name}-%{gittag0}.tar.bz2

BuildRequires:  pkgconfig(check) >= 0.9.4
BuildRequires:  pkgconfig(gio-2.0) >= 2.36
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.26
BuildRequires:  pkgconfig(gobject-2.0) >= 2.35.1
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(pygobject-3.0) >= 2.90
BuildRequires:  pkgconfig(sqlite3) >= 3.7.0
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-gobject3
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  gnome-common
BuildRequires:  gtk-doc
BuildRequires:  vala-tools
BuildRequires:  meson

%description
Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
platforms.

%package -n %{libname}
Group:          System/Libraries
Summary:        Accounts and SSO (Single Sign-On) framework

%description -n %{libname}
Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
platforms.

%package -n %{libgir}
Group:          System/Libraries
Summary:        GObject Introspection interface description for %{name}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libgir}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libgir} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{name}-devel%{?_isa} = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package -n python3-%{name}
Summary:        Python 3 binding for %{name}
Group:          Development/Python
Requires:       python3-gobject3

%description -n python3-%{name}
Python 3 binding for %{name}.

%package docs
Summary:        Documentation for %{name}
Group:          Documentation
BuildArch:      noarch

%description docs
The %{name}-docs package contains documentation for %{name}.

%prep
%autosetup -p1 -n %{name}-%{gittag0}

%build
%meson -D install-py-overrides=true
%meson_build

%install
%meson_install

# create/own data dirs
mkdir -p %{buildroot}%{_datadir}/accounts/{applications,providers,services,service_types}

# add docs manually to %%doc instead
rm -rfv %{buildroot}%{_prefix}/doc/reference

%files
%license COPYING
%doc NEWS
%{_bindir}/ag-backup
%{_bindir}/ag-tool
%dir %{_datadir}/xml/
%dir %{_datadir}/xml/accounts/
%dir %{_datadir}/xml/accounts/schema/
%dir %{_datadir}/xml/accounts/schema/dtd
%{_datadir}/xml/accounts/schema/dtd/accounts-*.dtd
%dir %{_datadir}/accounts/
%dir %{_datadir}/accounts/applications/
%dir %{_datadir}/accounts/providers/
%dir %{_datadir}/accounts/services/
%dir %{_datadir}/accounts/service_types/
%dir %{_datadir}/gettext/its
%{_datadir}/gettext/its/accounts-*

%files -n %{libname}
%license COPYING
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{version}

%files -n %{libgir}
%{_libdir}/girepository-1.0/Accounts-%{gmajor}.typelib

%files -n %{develname}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}
%{_datadir}/gir-1.0/Accounts-%{gmajor}.gir
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/vala/vapi/*

%files docs
%{_datadir}/gtk-doc/html/libaccounts-glib/

%files -n python3-%{name}
%{python3_sitearch}/gi/overrides/Accounts.*
%{python3_sitearch}/gi/overrides/__pycache__/Accounts.*


%changelog
* Tue Mar 04 2025 wally <wally> 1.27-2.mga10
+ Revision: 2160311
- rebuild for python3.13

* Tue Apr 23 2024 daviddavid <daviddavid> 1.27-1.mga10
+ Revision: 2060708
- new version: 1.27

* Tue Dec 26 2023 daviddavid <daviddavid> 1.26-2.mga10
+ Revision: 2021540
- rebuild for py3.12

* Thu Nov 10 2022 daviddavid <daviddavid> 1.26-1.mga9
+ Revision: 1905125
- new version: 1.26

* Sat Apr 02 2022 umeabot <umeabot> 1.25-4.mga9
+ Revision: 1840648
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 1.25-3.mga9
+ Revision: 1787266
- rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 1.25-2.mga9
+ Revision: 1705548
- rebuild for python 3.9

* Wed Apr 22 2020 daviddavid <daviddavid> 1.25-1.mga8
+ Revision: 1570677
- new version: 1.25
- upstream revert back to libmajor 0

* Sun Feb 16 2020 umeabot <umeabot> 1.24-6.mga8
+ Revision: 1533435
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 daviddavid <daviddavid> 1.24-5.mga8
+ Revision: 1444409
- rebuild for python3.8

* Wed Apr 17 2019 umeabot <umeabot> 1.24-4.mga7
+ Revision: 1392705
- Rebuild with meson 0.50.1

* Mon Jan 14 2019 luigiwalser <luigiwalser> 1.24-3.mga7
+ Revision: 1356796
- add back one obsoletes to fix upgrade from mga5
+ wally <wally>
- fix python3 pkg requires
- drop old obsoletes/provides

* Mon Jan 14 2019 luigiwalser <luigiwalser> 1.24-1.mga7
+ Revision: 1356624
- python subpackage is now python3
- drop python subpackage
- library major is now 1
- BR vala-tools
- 1.24
- build with meson

* Sun Sep 23 2018 umeabot <umeabot> 1.23-3.mga7
+ Revision: 1298748
- Mageia 7 Mass Rebuild

* Wed Jan 24 2018 kekepower <kekepower> 1.23-2.mga7
+ Revision: 1196718
- Rebuild against new check

* Fri Nov 11 2016 ngompa <ngompa> 1.23-1.mga6
+ Revision: 1066608
- Upgrade to 1.23
- Sync packaging structure with Fedora
- Adapted to use newer macros
- Build documentation and put in docs subpackage
- Run tests on an advisory basis (failures don't kill the build)
- Dropped unneeded patch

* Sun Apr 03 2016 neoclust <neoclust> 1.21-1.mga6
+ Revision: 997854
- New version 1.21

* Wed Feb 03 2016 danf <danf> 1.18-2.mga6
+ Revision: 933310
- Use -Wno-error to allow building even with compiler warnings
+ tv <tv>
- rebuild with fixed ghostscript:q!

* Tue Sep 01 2015 fwang <fwang> 1.18-1.mga6
+ Revision: 871816
- update file list
- apply patches
- fix coverage include
- disable gcov
- br gtk-doc
- 1.18

* Wed Oct 15 2014 umeabot <umeabot> 1.16-4.mga5
+ Revision: 749715
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.16-3.mga5
+ Revision: 726693
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.16-2.mga5
+ Revision: 681319
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 neoclust <neoclust> 1.16-1.mga5
+ Revision: 667237
- New version

* Sat May 31 2014 pterjan <pterjan> 1.12-4.mga5
+ Revision: 628288
- Rebuild for new Python

* Sat Nov 02 2013 fwang <fwang> 1.12-3.mga4
+ Revision: 548951
- add requires

* Sat Oct 19 2013 umeabot <umeabot> 1.12-2.mga4
+ Revision: 536215
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 fwang <fwang> 1.12-1.mga4
+ Revision: 483708
- disable tests
- new version 1.12

* Fri May 31 2013 fwang <fwang> 1.8-1.mga4
+ Revision: 433576
- new version 1.8

* Sat Jan 12 2013 umeabot <umeabot> 1.4-3.mga3
+ Revision: 356787
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 fwang <fwang> 1.4-2.mga3
+ Revision: 329535
- add gir pkg
- build gir

* Mon Dec 10 2012 fwang <fwang> 1.4-1.mga3
+ Revision: 329355
- update file list
- update file list for py binding
- update file list
- imported package libaccounts-glib

